libhypre-2.15.1-alt1.i586.rpm


Advertisement

Description

libhypre - Shared libraries of Hypre

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libhypre-2.15.1-alt1.i586.rpm
Package name libhypre
Package version 2.15.1
Package release alt1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 3.48 MB
Installed size 3.48 MB
The goal of the Scalable Linear Solvers project is to develop scalable
algorithms and software for solving large, sparse linear systems of equations on
parallel computers. The primary software product is Hypre, a library of high
performance preconditioners that features parallel multigrid methods for both
structured and unstructured grid problems. The problems of interest arise in the
simulation codes being developed at LLNL and elsewhere to study physical
phenomena in the defense, environmental, energy, and biological sciences.
This package contains shared libraries of Hypre.

Alternatives

Package Version Architecture Repository
libhypre-2.15.1-alt1.x86_64.rpm 2.15.1 x86_64 Classic
libhypre - - -

Requires

Name Value
/usr/lib/openmpi/lib/libmpi.so.20 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
liblapack.so.4 -
libopenblas.so.0 -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libHYPRE.so.0 -
libhypre = 2.15.1-alt1:sisyphus+222457.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libhypre-2.15.1-alt1.i586.rpm
Source Package hypre-2.15.1-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libhypre rpm package:
    # sudo apt-get install libhypre

Files

Path
/usr/lib/libHYPRE.so.0
/usr/lib/libHYPRE.so.0.2.15

Changelog

2019-02-22 - Evgeny Sinelnikov <sin@altlinux.org> 2.15.1-alt1
- Update to latest release
2018-07-27 - Aleksei Nikiforov <darktemplar@altlinux.org> 2.13.0-alt2
- Updated build dependencies.
2018-01-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 2.13.0-alt1
- Updated to upstream version 2.13.0.
2013-02-21 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.9.0b-alt1
- Version 2.9.0b
2012-08-11 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.8.0b-alt5
- Built with OpenBLAS instead of GotoBLAS2
2012-07-10 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.8.0b-alt4
- Rebuilt with emacs 24.1
2012-06-24 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.8.0b-alt3
- Rebuilt with OpenMPI 1.6
2012-06-06 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.8.0b-alt2
- Fixed build
2011-12-06 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.8.0b-alt1
- Version 2.8.0b
2011-04-08 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.7.0b-alt3
- Rebuilt with GotoBLAS2 1.13-alt3

See Also

Package Description
libhypre-devel-2.15.1-alt1.i586.rpm Development files of Hypre
libi2c-4.0-alt1.i586.rpm I2C/SMBus bus access library
libi2c-devel-4.0-alt1.i586.rpm Development files for the I2C library
libibumad-24.0-alt3.i586.rpm OpenFabrics Alliance InfiniBand umad (userspace management datagram) library
libibus-1.5.21-alt1.i586.rpm IBus libraries
libibus-devel-1.5.21-alt1.i586.rpm Development tools for ibus
libibus-gir-1.5.21-alt1.i586.rpm GObject introspection data for the IBus library
libibverbs-24.0-alt3.i586.rpm A library and drivers for direct userspace use of RDMA (InfiniBand/iWARP/RoCE) hardware
libibverbs-utils-24.0-alt3.i586.rpm Examples for the libibverbs library
libical-3.0.6-alt1.i586.rpm An implementation of basic iCAL protocols
libical-devel-3.0.6-alt1.i586.rpm Files for developing applications that use libical
libical-gir-3.0.6-alt1.i586.rpm GObject introspection data for the Libical
libical-glib-3.0.6-alt1.i586.rpm A GObject interface of the libical library
libical-glib-devel-3.0.6-alt1.i586.rpm Files for developing applications that use Libical-Glib
libical-glib-gir-3.0.6-alt1.i586.rpm GObject introspection data for the Libical-Glib
Advertisement
Advertisement